package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.PlanejamentodeProducaoPage;
import com.javaseleniumtemplate.pages.PrevisaodeConsumoRelatorioPage;
import org.testng.annotations.Test;

public class PrevisaodeConsumoRelatorioTest extends TestBase {
    //Object
    MainPage mainPage;
    LoginFlows loginFlows;
    MainFlows mainFlows;
    PrevisaodeConsumoRelatorioPage previsaodeconsumorelatoriopage;

    //Tests
    @Test
    public void PrevisaodeConsumoRelatorios() throws InterruptedException {
        //Objects instances
        mainPage = new MainPage();

        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        previsaodeconsumorelatoriopage = new PrevisaodeConsumoRelatorioPage();

        //Parameteresg codigo =
        String usuario = "francielly.automacao";
        String senha = "Teknisa2022";


        loginFlows.efetuarLogin(usuario, senha);
        previsaodeconsumorelatoriopage.AcessarTela();

        //Test

        previsaodeconsumorelatoriopage.PlanejamentoProducaopdf();

    }

    //Test Gerar Relatório Requisição da Matéria Prima
    @Test
    public void RelatorioRequisicaoMP() throws InterruptedException {
        //Objects instances
        mainPage = new MainPage();

        loginFlows = new LoginFlows();
        mainFlows = new MainFlows();
        previsaodeconsumorelatoriopage = new PrevisaodeConsumoRelatorioPage();

        //Parameteresg codigo =
        String usuario = "francielly.automacao";
        String senha = "Teknisa2022";


        loginFlows.efetuarLogin(usuario, senha);
        previsaodeconsumorelatoriopage.AcessarTela();

        //Test

        previsaodeconsumorelatoriopage.Relatorio3pdf();
    }
}

